Subject: Re: [PATCH] drivers/tty/hvc/hvc_tile.c: properly return -EAGAIN

From: Greg Kroah-Hartman <[email-masked]>
Date: Sun, 10 May 2015 19:18:44 +0200

On Tue, May 05, 2015 at 01:11:28PM -0400, Chris Metcalf wrote:
> We were returning zero if no bytes could be written to the Tilera
> hypervisor console device, but this causes the output to be truncated.
> By returning -EAGAIN the tty hvc driver will come back and try again,
> which gives the semantics we want, and avoids dropping console output.
> 
> Signed-off-by: Chris Metcalf <[email-masked]>
> ---
> I have queued this in the tile tree as a tile-specific device, but
> if someone would prefer to pick it up for a tty or tty/hvc tree,
> that's fine too; just let me know.

Sounds good to me, feel free to add:

Acked-by: Greg Kroah-Hartman <[email-masked]>

if you want it :)